/*
##############################################################################
# 
# Copyright by The HDF Group.
# All rights reserved.
#
# This file is part of the hl_region High-Level HDF5 APIs.  The full copyright 
# notice, including terms governing use, modification, and redistribution, 
# is contained in the file COPYING, which can be found at the root of the
# source code distribution tree and in the documentation directory (doc/html/). 
# If you do not have access to this file, you may request a copy of 
# "the hl_region High-Level HDF5 APIs copyright and license statement" from 
# help@hdfgroup.org.
# 
##############################################################################
*/

#ifndef _hl_region_H5LTpublic_H
#define _hl_region_H5LTpublic_H

#ifdef __cplusplus
extern "C" {
#endif

/*-------------------------------------------------------------------------
 *
 * Make dataset functions
 *
 *-------------------------------------------------------------------------
 */

H5_HLDLL herr_t H5LTcopy_region(const char *file_src,
				const char *path_src,
				const hsize_t *block_coord_src,
				const char *file_dest,
				const char *path_dest,
				const hsize_t *block_coord_dset);

/*-------------------------------------------------------------------------
 *
 * Read dataset functions
 *
 *-------------------------------------------------------------------------
 */

H5_HLDLL herr_t  H5LTread_region(const char *file,
				 const char *path,
				 const hsize_t *block_coord,
				 hid_t mem_type,
				 void *buf );

H5_HLDLL herr_t H5LTread_bitfield_value(hid_t dset_id, int num_values, const unsigned *offset,
					const unsigned *lengths, hid_t space, int *buf);


#ifdef __cplusplus
}
#endif

#endif

